Subject: Re: [Netconf] [netmod] YANG Alarm Module

From: Mahesh Jethanandani <[email-masked]>
Date: Thu, 7 May 2015 13:43:53 -0700

[Cross-posting it to NETCONF]

Stefan, did try to post to netconf, but it got blocked because he was not subscribed to the mailing list.

I agree with Juegen that the topic of what transport mechanism is used belongs to the NETCONF WG, and is certainly an area of interest to the WG.

[Chair hat off]

In trying to address the issue, we need to address the issue of what happens if there are either no sessions connected to the server or thousands of them. For the latter, we might have to look at a pub/sub model to contain where alarms get delivered. Throw in other notifications and now you are looking at prioritizing event notifications, as I am sure alarms would like to be treated at a different priority.

p.s. Pardon my multiple attempts to post this message

> 
>> 
>>> On May 7, 2015, at 1:14 PM, Juergen Schoenwaelder <[email-masked]> wrote:
>>> 
>>> On Thu, May 07, 2015 at 08:10:38PM +0000, Sterne, Jason (Jason) wrote:
>>> 
>>>> Or alternate streaming-type transport options for NETCONF notifications ?
>>> 
>>> The topic how to transport YANG defined notifications seems to belongs
>>> to the NETCONF WG mailing list and not really to the NETMOD mailing
>>> list (although I understand why it started here).
>>> 
>>> /js
>>> 

Mahesh Jethanandani
[email-masked]